#ifndef LANGUAGE_H
#define LANGUAGE_H

// Languages
// 1  Custom (For you to add your own messages)
// 2  English 
// 3  French	(Waiting translation)
// 4  German	(Waiting translation)
// 5  Etc

#define LANGUAGE_CHOICE 1  // Pick your language from the list above

#if LANGUAGE_CHOICE == 1

// LCD Menu Messages

	#define WELCOME_MSG "RepRap Ready."
	#define MSG_SD_INSERTED "Card Ready"
	#define MSG_SD_REMOVED "Card Initiate"
	#define MSG_MAIN " Main \003"
	#define MSG_AUTOSTART " Autostart"
	#define MSG_DISABLE_STEPPERS " Disable Steppers"
	#define MSG_AUTO_HOME " Auto Home"
	#define MSG_SET_ORIGIN " Set Origin"
	#define MSG_PREHEAT_PLA " Preheat PLA"
	#define MSG_PREHEAT_ABS " Preheat ABS"
	#define MSG_COOLDOWN " Cooldown"
	#define MSG_EXTRUDE " Extrude"
        #define MSG_MOVE_AXIS " Move Axis      \x7E"
	#define MSG_SPEED " Speed:"
	#define MSG_NOZZLE " \002Nozzle:"
	#define MSG_BED " \002Bed:"
	#define MSG_FAN_SPEED " Fan speed:"
	#define MSG_FLOW " Flow:"
	#define MSG_CONTROL " Control \003"
	#define MSG_MIN " \002 Min:"
	#define MSG_MAX " \002 Max:"
	#define MSG_FACTOR " \002 Fact:"
	#define MSG_AUTOTEMP " Autotemp:"
	#define MSG_ON "On "
	#define MSG_OFF "Off"
	#define MSG_PID_P " PID-P: "
	#define MSG_PID_I " PID-I: "
	#define MSG_PID_D " PID-D: "
	#define MSG_PID_C " PID-C: "
	#define MSG_ACC  " Acc:"
	#define MSG_VXY_JERK " Vxy-jerk: "
	#define MSG_VMAX " Vmax "
	#define MSG_X "x:"
	#define MSG_Y "y:"
	#define MSG_Z "z:"
	#define MSG_E "e:"
	#define MSG_VMIN " Vmin:"
	#define MSG_VTRAV_MIN " VTrav min:"
	#define MSG_AMAX " Amax "
	#define MSG_A_RETRACT " A-retract:"
	#define MSG_XSTEPS " Xsteps/mm:"
	#define MSG_YSTEPS " Ysteps/mm:"
	#define MSG_ZSTEPS " Zsteps/mm:"
	#define MSG_ESTEPS " Esteps/mm:"
	#define MSG_MAIN_WIDE " Main        \003"
	#define MSG_TEMPERATURE_WIDE " Temperature \x7E"
	#define MSG_MOTION_WIDE " Motion      \x7E"
	#define MSG_STORE_EPROM " Store EPROM"
	#define MSG_LOAD_EPROM " Load EPROM"
	#define MSG_RESTORE_FAILSAFE " Restore Failsafe"
	#define MSG_REFRESH "\004Refresh"
	#define MSG_WATCH " Watch   \003"
	#define MSG_PREPARE " Prepare \x7E"
	#define MSG_CONTROL_ARROW " Control \x7E"
	#define MSG_TUNE " Tune    \x7E"
	#define MSG_STOP_PRINT " Stop Print   \x7E"
	#define MSG_CARD_MENU " Card Menu    \x7E"
	#define MSG_NO_CARD " No Card"
	#define MSG_SERIAL_ERROR_MENU_STRUCTURE "Something is wrong in the MenuStructure."

#endif

#if LANGUAGE_CHOICE == 2

// LCD Menu Messages

	#define WELCOME_MSG "UltiMARLIN Ready."
	#define MSG_SD_INSERTED "Card inserted"
	#define MSG_SD_REMOVED "Card removed"
	#define MSG_MAIN " Main \003"
	#define MSG_AUTOSTART " Autostart"
	#define MSG_DISABLE_STEPPERS " Disable Steppers"
	#define MSG_AUTO_HOME " Auto Home"
	#define MSG_SET_ORIGIN " Set Origin"
	#define MSG_COOLDOWN " Cooldown"
	#define MSG_EXTRUDE " Extrude"
	#define MSG_PREHEAT_PLA " Preheat PLA"
	#define MSG_PREHEAT_ABS " Preheat ABS"
        #define MSG_MOVE_AXIS " Move Axis      \x7E"
	#define MSG_SPEED " Speed:"
	#define MSG_NOZZLE " \002Nozzle:"
	#define MSG_BED " \002Bed:"
	#define MSG_FAN_SPEED " Fan speed:"
	#define MSG_FLOW " Flow:"
	#define MSG_CONTROL " Control \003"
	#define MSG_MIN " \002 Min:"
	#define MSG_MAX " \002 Max:"
	#define MSG_FACTOR " \002 Fact:"
	#define MSG_AUTOTEMP " Autotemp:"
	#define MSG_ON "On "
	#define MSG_OFF "Off"
	#define MSG_PID_P " PID-P: "
	#define MSG_PID_I " PID-I: "
	#define MSG_PID_D " PID-D: "
	#define MSG_PID_C " PID-C: "
	#define MSG_ACC  " Acc:"
	#define MSG_VXY_JERK " Vxy-jerk: "
	#define MSG_VMAX " Vmax "
	#define MSG_X "x:"
	#define MSG_Y "y:"
	#define MSG_Z "z:"
	#define MSG_E "e:"
	#define MSG_VMIN " Vmin:"
	#define MSG_VTRAV_MIN " VTrav min:"
	#define MSG_AMAX " Amax "
	#define MSG_A_RETRACT " A-retract:"
	#define MSG_XSTEPS " Xsteps/mm:"
	#define MSG_YSTEPS " Ysteps/mm:"
	#define MSG_ZSTEPS " Zsteps/mm:"
	#define MSG_ESTEPS " Esteps/mm:"
	#define MSG_MAIN_WIDE " Main        \003"
	#define MSG_TEMPERATURE_WIDE " Temperature \x7E"
	#define MSG_MOTION_WIDE " Motion      \x7E"
	#define MSG_STORE_EPROM " Store EPROM"
	#define MSG_LOAD_EPROM " Load EPROM"
	#define MSG_RESTORE_FAILSAFE " Restore Failsafe"
	#define MSG_REFRESH "\004Refresh"
	#define MSG_WATCH " Watch   \003"
	#define MSG_PREPARE " Prepare \x7E"
	#define MSG_CONTROL_ARROW " Control \x7E"
	#define MSG_TUNE " Tune    \x7E"
	#define MSG_STOP_PRINT " Stop Print   \x7E"
	#define MSG_CARD_MENU " Card Menu    \x7E"
	#define MSG_NO_CARD " No Card"
	#define MSG_SERIAL_ERROR_MENU_STRUCTURE "Something is wrong in the MenuStructure."

#endif

#if LANGUAGE_CHOICE == 3

// LCD Menu Messages

	#define WELCOME_MSG "RepRap Ready."
	#define MSG_SD_INSERTED "Card Ready"
	#define MSG_SD_REMOVED "Card Initiate"
	#define MSG_MAIN " Main \003"
	#define MSG_AUTOSTART " Autostart"
	#define MSG_DISABLE_STEPPERS " Disable Steppers"
	#define MSG_AUTO_HOME " Auto Home"
	#define MSG_SET_ORIGIN " Set Origin"
	#define MSG_PREHEAT_PLA " Preheat PLA"
	#define MSG_PREHEAT_ABS " Preheat ABS"
	#define MSG_COOLDOWN " Cooldown"
	#define MSG_EXTRUDE " Extrude"
        #define MSG_MOVE_AXIS " Move Axis      \x7E"
	#define MSG_SPEED " Speed:"
	#define MSG_NOZZLE " \002Nozzle:"
	#define MSG_BED " \002Bed:"
	#define MSG_FAN_SPEED " Fan speed:"
	#define MSG_FLOW " Flow:"
	#define MSG_CONTROL " Control \003"
	#define MSG_MIN " \002 Min:"
	#define MSG_MAX " \002 Max:"
	#define MSG_FACTOR " \002 Fact:"
	#define MSG_AUTOTEMP " Autotemp:"
	#define MSG_ON "On "
	#define MSG_OFF "Off"
	#define MSG_PID_P " PID-P: "
	#define MSG_PID_I " PID-I: "
	#define MSG_PID_D " PID-D: "
	#define MSG_PID_C " PID-C: "
	#define MSG_ACC  " Acc:"
	#define MSG_VXY_JERK " Vxy-jerk: "
	#define MSG_VMAX " Vmax "
	#define MSG_X "x:"
	#define MSG_Y "y:"
	#define MSG_Z "z:"
	#define MSG_E "e:"
	#define MSG_VMIN " Vmin:"
	#define MSG_VTRAV_MIN " VTrav min:"
	#define MSG_AMAX " Amax "
	#define MSG_A_RETRACT " A-retract:"
	#define MSG_XSTEPS " Xsteps/mm:"
	#define MSG_YSTEPS " Ysteps/mm:"
	#define MSG_ZSTEPS " Zsteps/mm:"
	#define MSG_ESTEPS " Esteps/mm:"
	#define MSG_MAIN_WIDE " Main        \003"
	#define MSG_TEMPERATURE_WIDE " Temperature \x7E"
	#define MSG_MOTION_WIDE " Motion      \x7E"
	#define MSG_STORE_EPROM " Store EPROM"
	#define MSG_LOAD_EPROM " Load EPROM"
	#define MSG_RESTORE_FAILSAFE " Restore Failsafe"
	#define MSG_REFRESH "\004Refresh"
	#define MSG_WATCH " Watch   \003"
	#define MSG_PREPARE " Prepare \x7E"
	#define MSG_CONTROL_ARROW " Control \x7E"
	#define MSG_TUNE " Tune    \x7E"
	#define MSG_STOP_PRINT " Stop Print   \x7E"
	#define MSG_CARD_MENU " Card Menu    \x7E"
	#define MSG_NO_CARD " No Card"
	#define MSG_SERIAL_ERROR_MENU_STRUCTURE "Something is wrong in the MenuStructure."

#endif

#if LANGUAGE_CHOICE == 4

// LCD Menu Messages

	#define WELCOME_MSG "RepRap bereit"
	#define MSG_SD_INSERTED "SDKarte bereit"
	#define MSG_SD_REMOVED "SDKarte entfernt"
	#define MSG_MAIN " Main \003"
	#define MSG_AUTOSTART " Autostart"
	#define MSG_DISABLE_STEPPERS " Stepper abschalten"
	#define MSG_AUTO_HOME " Auto Heim"
	#define MSG_SET_ORIGIN " Position setzen"
	#define MSG_PREHEAT_PLA " Aufheizen PLA"
	#define MSG_PREHEAT_ABS " Aufheizen ABS"
	#define MSG_COOLDOWN " Abkuehlen"
	#define MSG_EXTRUDE " Extrudiren"
        #define MSG_MOVE_AXIS " Achsen verfahren   \x7E"
	#define MSG_SPEED " Geschw:"
	#define MSG_NOZZLE " \002Duese:"
	#define MSG_BED " \002Bett:"
	#define MSG_FAN_SPEED " Luefter geschw.:"
	#define MSG_FLOW " Fluss:"
	#define MSG_CONTROL " Kontrolle \003"
	#define MSG_MIN " \002 Min:"
	#define MSG_MAX " \002 Max:"
	#define MSG_FACTOR " \002 Faktor:"
	#define MSG_AUTOTEMP " AutoTemp:"
	#define MSG_ON "Ein "
	#define MSG_OFF "Aus "
	#define MSG_PID_P " PID-P: "
	#define MSG_PID_I " PID-I: "
	#define MSG_PID_D " PID-D: "
	#define MSG_PID_C " PID-C: "
	#define MSG_ACC  " Acc:"
	#define MSG_VXY_JERK " Vxy-jerk: "
	#define MSG_VMAX " Vmax "
	#define MSG_X "x:"
	#define MSG_Y "y:"
	#define MSG_Z "z:"
	#define MSG_E "e:"
	#define MSG_VMIN " Vmin:"
	#define MSG_VTRAV_MIN " VTrav min:"
	#define MSG_AMAX " Amax "
	#define MSG_A_RETRACT " A-retract:"
	#define MSG_XSTEPS " Xsteps/mm:"
	#define MSG_YSTEPS " Ysteps/mm:"
	#define MSG_ZSTEPS " Zsteps/mm:"
	#define MSG_ESTEPS " Esteps/mm:"
	#define MSG_MAIN_WIDE " Main        \003"
	#define MSG_TEMPERATURE_WIDE " Temperatur \x7E"
	#define MSG_MOTION_WIDE " Motion      \x7E"
	#define MSG_STORE_EPROM " EPROM speichern"
	#define MSG_LOAD_EPROM "  EPROM laden"
	#define MSG_RESTORE_FAILSAFE " Standard Konfig."
	#define MSG_REFRESH "\004Refresh"
	#define MSG_WATCH " Beobachten   \003"
	#define MSG_PREPARE " Prepare \x7E"
	#define MSG_CONTROL_ARROW " Kontrolle \x7E"
	#define MSG_TUNE " Tune    \x7E"
	#define MSG_STOP_PRINT " Druck stoppen   \x7E"
	#define MSG_CARD_MENU " SDKarten Menue    \x7E"
	#define MSG_NO_CARD " Keine SDKarte"
	#define MSG_SERIAL_ERROR_MENU_STRUCTURE "Fehler in der  Menuestruktur."

#endif

#if LANGUAGE_CHOICE == 5

// LCD Menu Messages

	#define WELCOME_MSG "RepRap Ready."
	#define MSG_SD_INSERTED "Card Ready"
	#define MSG_SD_REMOVED "Card Initiate"
	#define MSG_MAIN " Main \003"
	#define MSG_AUTOSTART " Autostart"
	#define MSG_DISABLE_STEPPERS " Disable Steppers"
	#define MSG_AUTO_HOME " Auto Home"
	#define MSG_SET_ORIGIN " Set Origin"
	#define MSG_PREHEAT_PLA " Preheat PLA"
	#define MSG_PREHEAT_ABS " Preheat ABS"
	#define MSG_COOLDOWN " Cooldown"
	#define MSG_EXTRUDE " Extrude"
        #define MSG_MOVE_AXIS " Move Axis      \x7E"
	#define MSG_SPEED " Speed:"
	#define MSG_NOZZLE " \002Nozzle:"
	#define MSG_BED " \002Bed:"
	#define MSG_FAN_SPEED " Fan speed:"
	#define MSG_FLOW " Flow:"
	#define MSG_CONTROL " Control \003"
	#define MSG_MIN " \002 Min:"
	#define MSG_MAX " \002 Max:"
	#define MSG_FACTOR " \002 Fact:"
	#define MSG_AUTOTEMP " Autotemp:"
	#define MSG_ON "On "
	#define MSG_OFF "Off"
	#define MSG_PID_P " PID-P: "
	#define MSG_PID_I " PID-I: "
	#define MSG_PID_D " PID-D: "
	#define MSG_PID_C " PID-C: "
	#define MSG_ACC  " Acc:"
	#define MSG_VXY_JERK " Vxy-jerk: "
	#define MSG_VMAX " Vmax "
	#define MSG_X "x:"
	#define MSG_Y "y:"
	#define MSG_Z "z:"
	#define MSG_E "e:"
	#define MSG_VMIN " Vmin:"
	#define MSG_VTRAV_MIN " VTrav min:"
	#define MSG_AMAX " Amax "
	#define MSG_A_RETRACT " A-retract:"
	#define MSG_XSTEPS " Xsteps/mm:"
	#define MSG_YSTEPS " Ysteps/mm:"
	#define MSG_ZSTEPS " Zsteps/mm:"
	#define MSG_ESTEPS " Esteps/mm:"
	#define MSG_MAIN_WIDE " Main        \003"
	#define MSG_TEMPERATURE_WIDE " Temperature \x7E"
	#define MSG_MOTION_WIDE " Motion      \x7E"
	#define MSG_STORE_EPROM " Store EPROM"
	#define MSG_LOAD_EPROM " Load EPROM"
	#define MSG_RESTORE_FAILSAFE " Restore Failsafe"
	#define MSG_REFRESH "\004Refresh"
	#define MSG_WATCH " Watch   \003"
	#define MSG_PREPARE " Prepare \x7E"
	#define MSG_CONTROL_ARROW " Control \x7E"
	#define MSG_TUNE " Tune    \x7E"
	#define MSG_STOP_PRINT " Stop Print   \x7E"
	#define MSG_CARD_MENU " Card Menu    \x7E"
	#define MSG_NO_CARD " No Card"
	#define MSG_SERIAL_ERROR_MENU_STRUCTURE "Something is wrong in the MenuStructure."

#endif

#endif // ifndef LANGUAGE_H
